<%@ page contentType="text/html" pageEncoding="UTF-8"%>
<!doctype html>
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <link type="text/css" rel="stylesheet" href="index.css">
	<script type="text/javascript">
	</script>
	<style type='text/css'>
	
	body {
		font-family: sans-serif;
	}
	
	H3 {
		margin-top: 60px;
		background-color: #555;
		color: #eee;
		padding: 10px;
	}
	
	.tip {
		color: #555;
	}
	
	.note {
		color: #555;
	}
	
	.shortcut {
		font-weight: 800;
	}
	
	.shortcut .keys {
		font-family: verdana;
		font-weight: 500; 
		font-size: 33px; 
		vertical-align: middle;
		display: table-cell;
	}
	
	.keys .plus {
		display: inline-block; 
		height: 100px;
		font-size: 30px;
	}
	
	.plus DIV {
		display: table-cell;
		vertical-align: middle;
		height: 100px; 
	}

	.meta {
		text-align: center;
		width: 158px; 
		height: 100px; 
		display: inline-block; 
		background-image: url('/images/empty_meta_key.png'); 
		background-repeat: none;
	}
	
	.meta DIV {
		display: table-cell;
		vertical-align: middle;
		width: 158px; 
		height: 100px; 
	}
	
	.key {
		text-align: center; 
		width: 104px; 
		height: 100px; 
		display: inline-block; 
		background-image: url('/images/empty_key.png'); 
		background-repeat: none;
	}
	
	.key DIV {
		display: table-cell;
		vertical-align: middle;
		width: 104px; 
		height: 90px; 
	}
	
	</style>
    <title>Slate - Help</title>
  </head>
  <body>
  	<img src='/images/slate_logo.png' width="100" style="position: absolute; right: 0; top: 0;"/>
  	<h1>Slate Help</h1>
  	<h2>Annotator keyboard shortcuts</h2>
  	
  	<h3>Changing the selected Segment and Link definitions</h3>
  	<p>
  		You must first select a segment or link definition from the palette on the right in order to annotate. 
  		You select the definition you want to use, and then annotate with it. To facilitate this, you can optionally 
  		use keyboard shortcuts to change the active segment and link definitions using each's predefined shortcut keys, 
  		as listed in the palette itself.
  	</p>
  	<p class="tip]">
  		<b>Tip</b>: 
  		If more than one segment or link is bound to the same shortcut, 
  		hitting the shortcut keys again will rotate between them.
  	</p>
  	
  	<h3>Changing the selected Segment and Link definitions (alternative method)</h3>
	<div>
		<div style="display: inline-block;">
			<div class="shortcut">
				<div class="keys">
					<div class="key"><div>`</div></div>
				</div>
			</div>
		</div>
		<div style="display: inline-block;"><div style="display: table-cell; vertical-align: middle; height: 100px;">and</div></div>
		<div style="display: inline-block;">
			<div class="shortcut">
				<div class="keys">
					<div class="meta"><div>Shift</div></div>
					<div class="plus"><div>+</div></div>
					<div class="key"><div>`</div></div>
				</div>
			</div>
		</div>
	</div>
  	<p>
  		You can rotate through all Segment definitions by hitting the <span class="shortcut">`</span> key (the key likely next to the 1 key), 
  		and similarly rotate through all Link definitions by hitting the <span class="shortcut">SHFT + `</span> keys.
  	</p>
  	<p class="tip]">
  		<b>Tip</b>: 
  		If more than one segment or link is bound to the same shortcut, 
  		hitting the shortcut keys again will rotate between them.
  	</p>
  	
  	<h3>Changing the selected segment</h3>
	<div>
		<div style="display: inline-block;">
			<div class="shortcut">
				<div class="keys">
					<div class="meta"><div>Shift</div></div>
					<div class="plus"><div>+</div></div>
					<div class="key"><div>↑</div></div>
				</div>
			</div>
		</div>
		<div style="display: inline-block;"><div style="display: table-cell; vertical-align: middle; height: 100px;">and</div></div>
		<div style="display: inline-block;">
			<div class="shortcut">
				<div class="keys">
					<div class="meta"><div>Shift</div></div>
					<div class="plus"><div>+</div></div>
					<div class="key"><div>↓</div></div>
				</div>
			</div>
		</div>
	</div>
	
  	<p>
  		Other than by clicking on a segment, you can go to the previous/next segment as listed in 
  		the segments inspector (lower right corner) by using the keyboard shortcuts: 
  		<span class="shortcut">SHFT + ↑</span> and <span class="shortcut">SHFT + ↓</span>.
  	</p>
  	<p class="tip">
  		<b>Tip</b>:
  		By changing the sort order of the segments, you can change how you 
  		navigate between segments. Try sorting by type or text!
  	</p>
  	
  	<h3>Shifting the selected segment to the left or right</h3>
	<div>
		<div style="display: inline-block;">
			<div class="shortcut">
				<div class="keys">
					<div class="meta"><div>Shift</div></div>
					<div class="plus"><div>+</div></div>
					<div class="key"><div>←</div></div>
				</div>
			</div>
		</div>
		<div style="display: inline-block;"><div style="display: table-cell; vertical-align: middle; height: 100px;">and</div></div>
		<div style="display: inline-block;">
			<div class="shortcut">
				<div class="keys">
					<div class="meta"><div>Shift</div></div>
					<div class="plus"><div>+</div></div>
					<div class="key"><div>→</div></div>
				</div>
			</div>
		</div>
	</div>
  	
  	<p>
  		You can change the location of the segment, i.e. move it to the left or right, 
  		by using the shortcuts: <span class="shortcut">SHFT + ←</span> and <span class="shortcut">SHFT + →</span>
  	</p>
  	<p class="note">
  		<b>Note</b>:
  		You cannot shift a segment beyond its current line of text.
  	</p>
  	
  	<h3>Adjusting a segment's left boundaries</h3>
	<div>
		<div style="display: inline-block;">
			<div class="shortcut">
				<div class="keys">
					<div class="key"><div>[</div></div>
					<div class="plus"><div>+</div></div>
					<div class="key"><div>←</div></div>
				</div>
			</div>
		</div>
		<div style="display: inline-block;"><div style="display: table-cell; vertical-align: middle; height: 100px;">and</div></div>
		<div style="display: inline-block;">
			<div class="shortcut">
				<div class="keys">
					<div class="key"><div>[</div></div>
					<div class="plus"><div>+</div></div>
					<div class="key"><div>→</div></div>
				</div>
			</div>
		</div>
	</div>
  	
  	<p>
  		To adjust a segment's left boundary to the left (expand) or right (reduce) 
  		use the shortcuts: <span class="shortcut">[ + ←</span> and <span class="shortcut">[ + →</span>
  	</p>
  	<p class="note">
  		<b>Note</b>: 
  		You cannot adjust a segment beyond its current line of text.
  	</p>
  	
  	<h3>Adjusting a segment's right boundaries</h3>
	<div>
		<div style="display: inline-block;">
			<div class="shortcut">
				<div class="keys">
					<div class="key"><div>]</div></div>
					<div class="plus"><div>+</div></div>
					<div class="key"><div>←</div></div>
				</div>
			</div>
		</div>
		<div style="display: inline-block;"><div style="display: table-cell; vertical-align: middle; height: 100px;">and</div></div>
		<div style="display: inline-block;">
			<div class="shortcut">
				<div class="keys">
					<div class="key"><div>]</div></div>
					<div class="plus"><div>+</div></div>
					<div class="key"><div>→</div></div>
				</div>
			</div>
		</div>
	</div>
	
  	<p>
  		To adjust a segment's right boundary to the left (reduce) or right 
  		(expand) use the shortcuts: <span class="shortcut">] + ←</span> and <span class="shortcut">] + →</span>
  	</p>
  	<p class="note">
  		<b>Note</b>: 
  		You cannot adjust a segment beyond its current line of text.
  	</p>
  	
  	<h3>Anchoring a segment</h3>
	<div style="display: inline-block;">
		<div class="shortcut">
			<div class="keys">
				<div class="key"><div>A</div></div>
			</div>
		</div>
	</div>
  	<p>
  		It is possible to create a link between two segments using only the keyboard. 
  		To do this, you must have both a selected segment, and an anchored one. 
  		To anchor the currently selected segment, hit the <span class='shortcut'>A</span> key.
  	</p>
  	
  	<h3>Creating a link</h3>
	<div style="display: inline-block;">
		<div class="shortcut">
			<div class="keys">
				<div class="key"><div>L</div></div>
			</div>
		</div>
	</div>
	
  	<p>
  		A link can be created using the keyboard by hitting the <span class='shortcut'>L</span> key.
  		You must have nother a selected segment, and an anchored segment for this to have any effect. 
  		The anchored segment always becomes the links source, and the selected segment its destination. 
  	</p>
  	
  	<h3>Showing / hiding the segment attributes panel</h3>
	<div style="display: inline-block;">
		<div class="shortcut">
			<div class="keys">
				<div class="meta"><div>Shift</div></div>
				<div class="plus"><div>+</div></div>
				<div class="meta"><div>Space</div></div>
			</div>
		</div>
	</div>
  	
  	<p>
  		Hitting the <span class="shortcut">SHIFT + SPACE</span> keys will allow you to show and hide the 
  		attributes edit panel for a selected segment. If the panel if currently shown,
  		<span class="shortcut">ESC</span> will also hide it, preserving changes.
  	</p>
  	
  	<p>&nbsp;</p>
  	<hr />
  	
  	<h2>Annotator mouse shortcuts</h2>
  	
  	<h3>Creating a segment</h3>
  	<p>
  		To create a segment, <span class='shortcut'>CLICK AND DRAG</span> the text you want to create a segment with.
  	</p>
  	
  	<h3>Creating a zero-length segment</h3>
  	<p>
  		To create a zero-length segment, <span class='shortcut'>Z + CLICK</span> the text where you want to create a segment.
  	</p>
  	
  	<h3>Selecting a segment</h3>
  	<p>
  		Simply click it.
  	</p>

  	<h3>Anchoring a segment</h3>
  	<p>
  		Anchoring is only useful if you wish to use keyboard shortcuts to create links. 
  		To anchor a segment with the mouse, <span class='shortcut'>SHFT + CLICK</span> it.
  	</p>
  	
  	<h3>Editing segment attributes</h3>
  	<p>
  		Click again on an already selected segment.
  	</p>
  	
  	<h3>Hiding the segment attribute panel</h3>
  	<p>
  		Click on another segment, or away from the attribute panel to hide it. Changes to attributes are automatically reflected as you change them.
  	</p>
  	
  	<h3>Creating a link</h3>
  	<p>
  		To create a link between two segments, <span class='shortcut'>ALT + CLICK</span> on the source segment, 
  		and drag the mouse (still in the clicked state) to the destination segment. The segment will highlight 
  		to indicate you can create a link between the two segments; release the mouse to create the link.
  	</p>
  </body>
</html>