<%@ page contentType="text/html" pageEncoding="UTF-8"%><%
%><%@ page import="titech.cs.cl.slate.server.DSContext"%><%
%><%@ page import="titech.cs.cl.slate.domain.User"%><%
%><%@ page import="titech.cs.cl.slate.shared.domain.UserPrivileges"%><%
%><%@ page import="java.util.Set"%><%
%><%@ page import="javax.validation.ConstraintViolation"%><%
%><%@ page import="javax.validation.Validation"%><%
%><%@ page import="javax.validation.Validator"%><%
%><%@ page import="javax.validation.ValidatorFactory"%><%

	if (DSContext.get().users().hasUsers()) {
		response.sendRedirect("index.jsp?" + request.getQueryString());
		return;
	}

	String querystring = request.getQueryString();
	if (querystring == null) querystring = "";

	String error_msg = "";
	String referrer = request.getHeader("referer");
	String username = "admin";
	String password = "";
	String email = "";
	String fullname = "";
	String submitted = request.getParameter("submit");

	if ("1".equals(submitted)) {
	    
	    username = request.getParameter("user");
	    password = request.getParameter("pass");
	    fullname = request.getParameter("fullname");
	    email = request.getParameter("email");
	    
	    User user = new User(); 
	    user.setId(0);
	    user.setUsername(username);
	    user.setPassword(password);
	    user.setFullname(fullname);
	    user.setEmail(email);
	    user.setPrivileges(UserPrivileges.add(UserPrivileges.defaultPrivileges(), UserPrivileges.IS_ROOT));
	    user.setPrivileges(UserPrivileges.add(user.getPrivileges().intValue(), UserPrivileges.IS_ADMIN));

	    ValidatorFactory factory = Validation.buildDefaultValidatorFactory();
        Validator validator = factory.getValidator();
        Set<ConstraintViolation<User>> constraintViolations = validator.validate(user);
		if (constraintViolations.size() > 0) {
			error_msg = "Error: <br/>";
			for (ConstraintViolation<User> cv : constraintViolations) {
				error_msg += "<li>" + cv.getPropertyPath() + ": " + cv.getMessage() + " -- \"" + cv.getInvalidValue() + "\"</li>";
			}
		} else {
	    	user.persist();
		    if (user.getId() > 0) {
				request.getSession().setAttribute("setup", "1");
				response.sendRedirect("login.jsp?" + querystring);
		    } else {
				error_msg = "Unable to create master user.";
		    }
		}
	} else if (request.getSession().getAttribute("log_out") != null) {
	    request.getSession().setAttribute("log_out", null);
	    error_msg = "You have been logged out.";
	}
	
%>
<!DOCTYPE HTML>

<html>
  <head>
    	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    	<title>Slate -- Login</title>
    	<style type="text/css">
    	
    	BODY, HTML {
    		font-family: sans-serif;
    		width: 100%;
    		height: 100%;
    		margin: 0;
    		padding: 0;
    		background-color: #ddd;
    		vertical-align: middle;
    	}
    	
    	.version-mark {
    		font-family: times new roman;
    		color: green;
    	}
    	
    	.main-panel {
   			margin-left: auto; 
   			margin-right: auto;
   			vertical-align: middle;
   			text-align: center; 
   			width: 300px; 
   			background-color: white;
   			border: 1px solid #ccc;
   			border-top: none; 
   			padding: 15px;
   			padding-top: 0px;
   			border-bottom-left-radius: 15px;
   			border-bottom-right-radius: 15px;
    	}

		footer {
			color: #333;
			font-size: 10px;
			text-align: center;
			margin-top: 5px;
		}
		
		.label {
			width: 100px; 
			display: inline-block;
			text-align: left;
		}

    	</style>
    	<script type="text/javascript">
    	
    	function validateForm(form) {
    		pass = form.elements["pass"].value;
    		pass2 = form.elements["pass2"].value;
    		if (pass.length < 4) {
    			alert("Password must be at least 4 characters.");
    			return false;
    		}
    		if (pass != pass2) {
    			alert("Passwords do not match.");
    			return false;
    		}
    		return true;
    	}
    	
    	</script>
  </head>
  <body>
  <div class='main-panel'>
  	<img src='images/slate_logo.png' width="80%" style="margin-top: -0px; margin-bottom: -20px;"/>
  	<!-- <h1>Slate <span class="version-mark"><sub>(β)</sub></span></h1>-->
  	<h2>first time setup</h2>
  	<p>Slate needs to be initialized.<Br/>Create the master user below.<br/> (you can make more users later.)</p>
  	<p><em style='color: orange;'><%= error_msg %></em></p>
  	<form method="post" action="setup.jsp?<%= querystring %>" onsubmit="return validateForm(this);">
  		<div><div class="label">Username:</div> <input name="user" type="text" value="<%= username %>"/></div>
  		<div><div class="label">Full name:</div> <input name="fullname" type="text" value="<%= fullname %>"/></div>
  		<div><div class="label">Email:</div> <input name="email" type="text" value="<%= email %>"/></div>
  		<div><div class="label">Password:</div> <input name="pass" type="password" value="" /></div>
  		<div><div class="label">Confirm Password:</div> <input name="pass2" type="password" value="" /></div>
  		<div><input type='submit' value='Create'/></div>
  		<input type='hidden' name="submit" value = "1"/>
  	</form>
  	</div>
  	<footer>
  		&copy; 2010 Tokunaga Laboratories. All rights reserved.
  	</footer>
  </body>
</html>